## org.apache.html.dom
Class HTMLAreaElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLAreaElementImpl

public class HTMLAreaElementImpl
extends HTMLElementImpl
implements HTMLAreaElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:57:50 $
Author:
  Assaf Arkin
See Also:
  `HTMLAreaElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLAreaElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`java.lang.String` `getCoords()` Comma-separated list of lengths, defining an active region geometry.
`java.lang.String` `getHref()` The URI of the linked resource.
`boolean` `getNoHref()` Specifies that this area is inactive, i.e., has no associated action.
`java.lang.String` `getShape()` The shape of the active area.
`int` `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` `getTarget()` Frame to render the resource in.
`void` `setAccessKey(java.lang.String accessKey)`
`void` `setAlt(java.lang.String alt)`
`void` `setCoords(java.lang.String coords)`
`void` `setHref(java.lang.String href)`
`void` `setNoHref(boolean noHref)`
`void` `setShape(java.lang.String shape)`
`void` `setTabIndex(int tabIndex)`
`void` `setTarget(java.lang.String target)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLAreaElementImpl

    public HTMLAreaElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: HTMLAreaElement
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.
  Specified by:
    getAccessKey in interface HTMLAreaElement

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    setAccessKey in interface HTMLAreaElement

### getAlt

    public java.lang.String getAlt()

  Description copied from interface: HTMLAreaElement
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0.
  Specified by:
    getAlt in interface HTMLAreaElement

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    setAlt in interface HTMLAreaElement

### getCoords

    public java.lang.String getCoords()

  Description copied from interface: HTMLAreaElement
  Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.
  Specified by:
    getCoords in interface HTMLAreaElement

### setCoords

    public void setCoords(java.lang.String coords)

  Specified by:
    setCoords in interface HTMLAreaElement

### getHref

    public java.lang.String getHref()

  Description copied from interface: HTMLAreaElement
  The URI of the linked resource. See the href attribute definition in HTML 4.0.
  Specified by:
    getHref in interface HTMLAreaElement

### setHref

    public void setHref(java.lang.String href)

  Specified by:
    setHref in interface HTMLAreaElement

### getNoHref

    public boolean getNoHref()

  Description copied from interface: HTMLAreaElement
  Specifies that this area is inactive, i.e., has no associated action. See the nohref attribute definition in HTML 4.0.
  Specified by:
    getNoHref in interface HTMLAreaElement

### setNoHref

    public void setNoHref(boolean noHref)

  Specified by:
    setNoHref in interface HTMLAreaElement

### getShape

    public java.lang.String getShape()

  Description copied from interface: HTMLAreaElement
  The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0.
  Specified by:
    getShape in interface HTMLAreaElement

### setShape

    public void setShape(java.lang.String shape)

  Specified by:
    setShape in interface HTMLAreaElement

### getTabIndex

    public int getTabIndex()

  Description copied from interface: HTMLAreaElement
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.
  Specified by:
    getTabIndex in interface HTMLAreaElement

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    setTabIndex in interface HTMLAreaElement

### getTarget

    public java.lang.String getTarget()

  Description copied from interface: HTMLAreaElement
  Frame to render the resource in. See the target attribute definition in HTML 4.0.
  Specified by:
    getTarget in interface HTMLAreaElement

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    setTarget in interface HTMLAreaElement

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.